Package icyllis.modernui.graphics.text

# Class FontMetricsInt

java.lang.Object
icyllis.modernui.graphics.text.FontMetricsInt

Direct Known Subclasses:
  `BoringLayout.Metrics`

public class FontMetricsInt extends Object
Also used as Font Extent (just ascent & descent).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `ascent`
  The recommended distance above the baseline for singled spaced text.
  `int`
  `descent`
  The recommended distance below the baseline for singled spaced text.
  `int`
  `leading`
  The recommended additional space to add between lines of text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FontMetricsInt()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `void`
  `extendBy(int ascent, int descent)`
  `void`
  `extendBy(int ascent, int descent, int leading)`
  `void`
  `extendBy(FontMetricsInt fm)`
  `int`
  `hashCode()`
  `void`
  `reset()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ascent

    public int ascent
    The recommended distance above the baseline for singled spaced text. This is always a negative integer.

  - ### descent

    public int descent
    The recommended distance below the baseline for singled spaced text. This is always a positive integer.

  - ### leading

    public int leading
    The recommended additional space to add between lines of text.

- ## Constructor Details

  - ### FontMetricsInt

    public FontMetricsInt()

- ## Method Details

  - ### reset

    public void reset()

  - ### extendBy

    public void extendBy(@Nonnull FontMetricsInt fm)

  - ### extendBy

    public void extendBy(int ascent, int descent)

  - ### extendBy

    public void extendBy(int ascent, int descent, int leading)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`